Package com.mockobjects

# Class ExpectationList

java.lang.Object
com.mockobjects.AbstractExpectation
com.mockobjects.AbstractExpectationCollection
com.mockobjects.ExpectationList

All Implemented Interfaces:
  `Expectation`, `ExpectationCollection`, `Verifiable`

public class ExpectationList extends AbstractExpectationCollection

## Constructor Summary

Constructors
Constructor
Description
`ExpectationList(String name)`

## Method Summary

### Methods inherited from class com.mockobjects.AbstractExpectationCollection

`addActual, addActual, addActualMany, addActualMany, addActualMany, addExpected, addExpected, addExpectedMany, addExpectedMany, addExpectedMany, clearActual, setExpectNothing, verify`

### Methods inherited from class com.mockobjects.AbstractExpectation

`hasExpectations, setFailOnVerify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mockobjects.Expectation

`hasExpectations, setFailOnVerify`

## Constructor Details

### ExpectationList

public ExpectationList(String name)